Package org.eclipse.graphiti.mm.algorithms

# Interface AlgorithmsPackage

All Superinterfaces:
  `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `AlgorithmsPackageImpl`

public interface AlgorithmsPackage extends org.eclipse.emf.ecore.EPackage
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  - `AlgorithmsFactory`

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`AlgorithmsPackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ABSTRACT_TEXT`
The meta object id for the '`Abstract Text`' class.
`static final int`
`ABSTRACT_TEXT__ANGLE`
The feature id for the 'Angle' attribute.
`static final int`
`ABSTRACT_TEXT__BACKGROUND`
The feature id for the 'Background' reference.
`static final int`
`ABSTRACT_TEXT__FILLED`
The feature id for the 'Filled' attribute.
`static final int`
`ABSTRACT_TEXT__FONT`
The feature id for the 'Font' reference.
`static final int`
`ABSTRACT_TEXT__FOREGROUND`
The feature id for the 'Foreground' reference.
`static final int`
`ABSTRACT_TEXT__GRAPHICS_ALGORITHM_CHILDREN`
The feature id for the 'Graphics Algorithm Children' containment reference list.
`static final int`
`ABSTRACT_TEXT__HEIGHT`
The feature id for the 'Height' attribute.
`static final int`
`ABSTRACT_TEXT__HORIZONTAL_ALIGNMENT`
The feature id for the 'Horizontal Alignment' attribute.
`static final int`
`ABSTRACT_TEXT__LINE_STYLE`
The feature id for the 'Line Style' attribute.
`static final int`
`ABSTRACT_TEXT__LINE_VISIBLE`
The feature id for the 'Line Visible' attribute.
`static final int`
`ABSTRACT_TEXT__LINE_WIDTH`
The feature id for the 'Line Width' attribute.
`static final int`
`ABSTRACT_TEXT__PARENT_GRAPHICS_ALGORITHM`
The feature id for the 'Parent Graphics Algorithm' container reference.
`static final int`
`ABSTRACT_TEXT__PICTOGRAM_ELEMENT`
The feature id for the 'Pictogram Element' container reference.
`static final int`
`ABSTRACT_TEXT__PROPERTIES`
The feature id for the 'Properties' containment reference list.
`static final int`
`ABSTRACT_TEXT__RENDERING_STYLE`
The feature id for the 'Rendering Style' containment reference.
`static final int`
`ABSTRACT_TEXT__ROTATION`
The feature id for the 'Rotation' attribute.
`static final int`
`ABSTRACT_TEXT__STYLE`
The feature id for the 'Style' reference.
`static final int`
`ABSTRACT_TEXT__STYLE_REGIONS`
The feature id for the 'Style Regions' containment reference list.
`static final int`
`ABSTRACT_TEXT__TRANSPARENCY`
The feature id for the 'Transparency' attribute.
`static final int`
`ABSTRACT_TEXT__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`ABSTRACT_TEXT__VERTICAL_ALIGNMENT`
The feature id for the 'Vertical Alignment' attribute.
`static final int`
`ABSTRACT_TEXT__WIDTH`
The feature id for the 'Width' attribute.
`static final int`
`ABSTRACT_TEXT__X`
The feature id for the 'X' attribute.
`static final int`
`ABSTRACT_TEXT__Y`
The feature id for the 'Y' attribute.
`static final int`
`ABSTRACT_TEXT_FEATURE_COUNT`
The number of structural features of the 'Abstract Text' class.
`static final AlgorithmsPackage`
`eINSTANCE`
The singleton instance of the package.
`static final int`
`ELLIPSE`
The meta object id for the '`Ellipse`' class.
`static final int`
`ELLIPSE__BACKGROUND`
The feature id for the 'Background' reference.
`static final int`
`ELLIPSE__FILLED`
The feature id for the 'Filled' attribute.
`static final int`
`ELLIPSE__FOREGROUND`
The feature id for the 'Foreground' reference.
`static final int`
`ELLIPSE__GRAPHICS_ALGORITHM_CHILDREN`
The feature id for the 'Graphics Algorithm Children' containment reference list.
`static final int`
`ELLIPSE__HEIGHT`
The feature id for the 'Height' attribute.
`static final int`
`ELLIPSE__LINE_STYLE`
The feature id for the 'Line Style' attribute.
`static final int`
`ELLIPSE__LINE_VISIBLE`
The feature id for the 'Line Visible' attribute.
`static final int`
`ELLIPSE__LINE_WIDTH`
The feature id for the 'Line Width' attribute.
`static final int`
`ELLIPSE__PARENT_GRAPHICS_ALGORITHM`
The feature id for the 'Parent Graphics Algorithm' container reference.
`static final int`
`ELLIPSE__PICTOGRAM_ELEMENT`
The feature id for the 'Pictogram Element' container reference.
`static final int`
`ELLIPSE__PROPERTIES`
The feature id for the 'Properties' containment reference list.
`static final int`
`ELLIPSE__RENDERING_STYLE`
The feature id for the 'Rendering Style' containment reference.
`static final int`
`ELLIPSE__STYLE`
The feature id for the 'Style' reference.
`static final int`
`ELLIPSE__TRANSPARENCY`
The feature id for the 'Transparency' attribute.
`static final int`
`ELLIPSE__WIDTH`
The feature id for the 'Width' attribute.
`static final int`
`ELLIPSE__X`
The feature id for the 'X' attribute.
`static final int`
`ELLIPSE__Y`
The feature id for the 'Y' attribute.
`static final int`
`ELLIPSE_FEATURE_COUNT`
The number of structural features of the 'Ellipse' class.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`GRAPHICS_ALGORITHM`
The meta object id for the '`Graphics Algorithm`' class.
`static final int`
`GRAPHICS_ALGORITHM__BACKGROUND`
The feature id for the 'Background' reference.
`static final int`
`GRAPHICS_ALGORITHM__FILLED`
The feature id for the 'Filled' attribute.
`static final int`
`GRAPHICS_ALGORITHM__FOREGROUND`
The feature id for the 'Foreground' reference.
`static final int`
`GRAPHICS_ALGORITHM__GRAPHICS_ALGORITHM_CHILDREN`
The feature id for the 'Graphics Algorithm Children' containment reference list.
`static final int`
`GRAPHICS_ALGORITHM__HEIGHT`
The feature id for the 'Height' attribute.
`static final int`
`GRAPHICS_ALGORITHM__LINE_STYLE`
The feature id for the 'Line Style' attribute.
`static final int`
`GRAPHICS_ALGORITHM__LINE_VISIBLE`
The feature id for the 'Line Visible' attribute.
`static final int`
`GRAPHICS_ALGORITHM__LINE_WIDTH`
The feature id for the 'Line Width' attribute.
`static final int`
`GRAPHICS_ALGORITHM__PARENT_GRAPHICS_ALGORITHM`
The feature id for the 'Parent Graphics Algorithm' container reference.
`static final int`
`GRAPHICS_ALGORITHM__PICTOGRAM_ELEMENT`
The feature id for the 'Pictogram Element' container reference.
`static final int`
`GRAPHICS_ALGORITHM__PROPERTIES`
The feature id for the 'Properties' containment reference list.
`static final int`
`GRAPHICS_ALGORITHM__RENDERING_STYLE`
The feature id for the 'Rendering Style' containment reference.
`static final int`
`GRAPHICS_ALGORITHM__STYLE`
The feature id for the 'Style' reference.
`static final int`
`GRAPHICS_ALGORITHM__TRANSPARENCY`
The feature id for the 'Transparency' attribute.
`static final int`
`GRAPHICS_ALGORITHM__WIDTH`
The feature id for the 'Width' attribute.
`static final int`
`GRAPHICS_ALGORITHM__X`
The feature id for the 'X' attribute.
`static final int`
`GRAPHICS_ALGORITHM__Y`
The feature id for the 'Y' attribute.
`static final int`
`GRAPHICS_ALGORITHM_FEATURE_COUNT`
The number of structural features of the 'Graphics Algorithm' class.
`static final int`
`IMAGE`
The meta object id for the '`Image`' class.
`static final int`
`IMAGE__BACKGROUND`
The feature id for the 'Background' reference.
`static final int`
`IMAGE__FILLED`
The feature id for the 'Filled' attribute.
`static final int`
`IMAGE__FOREGROUND`
The feature id for the 'Foreground' reference.
`static final int`
`IMAGE__GRAPHICS_ALGORITHM_CHILDREN`
The feature id for the 'Graphics Algorithm Children' containment reference list.
`static final int`
`IMAGE__HEIGHT`
The feature id for the 'Height' attribute.
`static final int`
`IMAGE__ID`
The feature id for the 'Id' attribute.
`static final int`
`IMAGE__LINE_STYLE`
The feature id for the 'Line Style' attribute.
`static final int`
`IMAGE__LINE_VISIBLE`
The feature id for the 'Line Visible' attribute.
`static final int`
`IMAGE__LINE_WIDTH`
The feature id for the 'Line Width' attribute.
`static final int`
`IMAGE__PARENT_GRAPHICS_ALGORITHM`
The feature id for the 'Parent Graphics Algorithm' container reference.
`static final int`
`IMAGE__PICTOGRAM_ELEMENT`
The feature id for the 'Pictogram Element' container reference.
`static final int`
`IMAGE__PROPERTIES`
The feature id for the 'Properties' containment reference list.
`static final int`
`IMAGE__PROPORTIONAL`
The feature id for the 'Proportional' attribute.
`static final int`
`IMAGE__RENDERING_STYLE`
The feature id for the 'Rendering Style' containment reference.
`static final int`
`IMAGE__STRETCH_H`
The feature id for the 'Stretch H' attribute.
`static final int`
`IMAGE__STRETCH_V`
The feature id for the 'Stretch V' attribute.
`static final int`
`IMAGE__STYLE`
The feature id for the 'Style' reference.
`static final int`
`IMAGE__TRANSPARENCY`
The feature id for the 'Transparency' attribute.
`static final int`
`IMAGE__WIDTH`
The feature id for the 'Width' attribute.
`static final int`
`IMAGE__X`
The feature id for the 'X' attribute.
`static final int`
`IMAGE__Y`
The feature id for the 'Y' attribute.
`static final int`
`IMAGE_FEATURE_COUNT`
The number of structural features of the 'Image' class.
`static final int`
`MULTI_TEXT`
The meta object id for the '`Multi Text`' class.
`static final int`
`MULTI_TEXT__ANGLE`
The feature id for the 'Angle' attribute.
`static final int`
`MULTI_TEXT__BACKGROUND`
The feature id for the 'Background' reference.
`static final int`
`MULTI_TEXT__FILLED`
The feature id for the 'Filled' attribute.
`static final int`
`MULTI_TEXT__FONT`
The feature id for the 'Font' reference.
`static final int`
`MULTI_TEXT__FOREGROUND`
The feature id for the 'Foreground' reference.
`static final int`
`MULTI_TEXT__GRAPHICS_ALGORITHM_CHILDREN`
The feature id for the 'Graphics Algorithm Children' containment reference list.
`static final int`
`MULTI_TEXT__HEIGHT`
The feature id for the 'Height' attribute.
`static final int`
`MULTI_TEXT__HORIZONTAL_ALIGNMENT`
The feature id for the 'Horizontal Alignment' attribute.
`static final int`
`MULTI_TEXT__LINE_STYLE`
The feature id for the 'Line Style' attribute.
`static final int`
`MULTI_TEXT__LINE_VISIBLE`
The feature id for the 'Line Visible' attribute.
`static final int`
`MULTI_TEXT__LINE_WIDTH`
The feature id for the 'Line Width' attribute.
`static final int`
`MULTI_TEXT__PARENT_GRAPHICS_ALGORITHM`
The feature id for the 'Parent Graphics Algorithm' container reference.
`static final int`
`MULTI_TEXT__PICTOGRAM_ELEMENT`
The feature id for the 'Pictogram Element' container reference.
`static final int`
`MULTI_TEXT__PROPERTIES`
The feature id for the 'Properties' containment reference list.
`static final int`
`MULTI_TEXT__RENDERING_STYLE`
The feature id for the 'Rendering Style' containment reference.
`static final int`
`MULTI_TEXT__ROTATION`
The feature id for the 'Rotation' attribute.
`static final int`
`MULTI_TEXT__STYLE`
The feature id for the 'Style' reference.
`static final int`
`MULTI_TEXT__STYLE_REGIONS`
The feature id for the 'Style Regions' containment reference list.
`static final int`
`MULTI_TEXT__TRANSPARENCY`
The feature id for the 'Transparency' attribute.
`static final int`
`MULTI_TEXT__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`MULTI_TEXT__VERTICAL_ALIGNMENT`
The feature id for the 'Vertical Alignment' attribute.
`static final int`
`MULTI_TEXT__WIDTH`
The feature id for the 'Width' attribute.
`static final int`
`MULTI_TEXT__X`
The feature id for the 'X' attribute.
`static final int`
`MULTI_TEXT__Y`
The feature id for the 'Y' attribute.
`static final int`
`MULTI_TEXT_FEATURE_COUNT`
The number of structural features of the 'Multi Text' class.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM`
The meta object id for the '`Platform Graphics Algorithm`' class.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__BACKGROUND`
The feature id for the 'Background' reference.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__FILLED`
The feature id for the 'Filled' attribute.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__FOREGROUND`
The feature id for the 'Foreground' reference.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__GRAPHICS_ALGORITHM_CHILDREN`
The feature id for the 'Graphics Algorithm Children' containment reference list.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__HEIGHT`
The feature id for the 'Height' attribute.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__ID`
The feature id for the 'Id' attribute.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__LINE_STYLE`
The feature id for the 'Line Style' attribute.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__LINE_VISIBLE`
The feature id for the 'Line Visible' attribute.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__LINE_WIDTH`
The feature id for the 'Line Width' attribute.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__PARENT_GRAPHICS_ALGORITHM`
The feature id for the 'Parent Graphics Algorithm' container reference.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__PICTOGRAM_ELEMENT`
The feature id for the 'Pictogram Element' container reference.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__PROPERTIES`
The feature id for the 'Properties' containment reference list.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__RENDERING_STYLE`
The feature id for the 'Rendering Style' containment reference.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__STYLE`
The feature id for the 'Style' reference.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__TRANSPARENCY`
The feature id for the 'Transparency' attribute.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__WIDTH`
The feature id for the 'Width' attribute.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__X`
The feature id for the 'X' attribute.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM__Y`
The feature id for the 'Y' attribute.
`static final int`
`PLATFORM_GRAPHICS_ALGORITHM_FEATURE_COUNT`
The number of structural features of the 'Platform Graphics Algorithm' class.
`static final int`
`POLYGON`
The meta object id for the '`Polygon`' class.
`static final int`
`POLYGON__BACKGROUND`
The feature id for the 'Background' reference.
`static final int`
`POLYGON__FILLED`
The feature id for the 'Filled' attribute.
`static final int`
`POLYGON__FOREGROUND`
The feature id for the 'Foreground' reference.
`static final int`
`POLYGON__GRAPHICS_ALGORITHM_CHILDREN`
The feature id for the 'Graphics Algorithm Children' containment reference list.
`static final int`
`POLYGON__HEIGHT`
The feature id for the 'Height' attribute.
`static final int`
`POLYGON__LINE_STYLE`
The feature id for the 'Line Style' attribute.
`static final int`
`POLYGON__LINE_VISIBLE`
The feature id for the 'Line Visible' attribute.
`static final int`
`POLYGON__LINE_WIDTH`
The feature id for the 'Line Width' attribute.
`static final int`
`POLYGON__PARENT_GRAPHICS_ALGORITHM`
The feature id for the 'Parent Graphics Algorithm' container reference.
`static final int`
`POLYGON__PICTOGRAM_ELEMENT`
The feature id for the 'Pictogram Element' container reference.
`static final int`
`POLYGON__POINTS`
The feature id for the 'Points' containment reference list.
`static final int`
`POLYGON__PROPERTIES`
The feature id for the 'Properties' containment reference list.
`static final int`
`POLYGON__RENDERING_STYLE`
The feature id for the 'Rendering Style' containment reference.
`static final int`
`POLYGON__STYLE`
The feature id for the 'Style' reference.
`static final int`
`POLYGON__TRANSPARENCY`
The feature id for the 'Transparency' attribute.
`static final int`
`POLYGON__WIDTH`
The feature id for the 'Width' attribute.
`static final int`
`POLYGON__X`
The feature id for the 'X' attribute.
`static final int`
`POLYGON__Y`
The feature id for the 'Y' attribute.
`static final int`
`POLYGON_FEATURE_COUNT`
The number of structural features of the 'Polygon' class.
`static final int`
`POLYLINE`
The meta object id for the '`Polyline`' class.
`static final int`
`POLYLINE__BACKGROUND`
The feature id for the 'Background' reference.
`static final int`
`POLYLINE__FILLED`
The feature id for the 'Filled' attribute.
`static final int`
`POLYLINE__FOREGROUND`
The feature id for the 'Foreground' reference.
`static final int`
`POLYLINE__GRAPHICS_ALGORITHM_CHILDREN`
The feature id for the 'Graphics Algorithm Children' containment reference list.
`static final int`
`POLYLINE__HEIGHT`
The feature id for the 'Height' attribute.
`static final int`
`POLYLINE__LINE_STYLE`
The feature id for the 'Line Style' attribute.
`static final int`
`POLYLINE__LINE_VISIBLE`
The feature id for the 'Line Visible' attribute.
`static final int`
`POLYLINE__LINE_WIDTH`
The feature id for the 'Line Width' attribute.
`static final int`
`POLYLINE__PARENT_GRAPHICS_ALGORITHM`
The feature id for the 'Parent Graphics Algorithm' container reference.
`static final int`
`POLYLINE__PICTOGRAM_ELEMENT`
The feature id for the 'Pictogram Element' container reference.
`static final int`
`POLYLINE__POINTS`
The feature id for the 'Points' containment reference list.
`static final int`
`POLYLINE__PROPERTIES`
The feature id for the 'Properties' containment reference list.
`static final int`
`POLYLINE__RENDERING_STYLE`
The feature id for the 'Rendering Style' containment reference.
`static final int`
`POLYLINE__STYLE`
The feature id for the 'Style' reference.
`static final int`
`POLYLINE__TRANSPARENCY`
The feature id for the 'Transparency' attribute.
`static final int`
`POLYLINE__WIDTH`
The feature id for the 'Width' attribute.
`static final int`
`POLYLINE__X`
The feature id for the 'X' attribute.
`static final int`
`POLYLINE__Y`
The feature id for the 'Y' attribute.
`static final int`
`POLYLINE_FEATURE_COUNT`
The number of structural features of the 'Polyline' class.
`static final int`
`RECTANGLE`
The meta object id for the '`Rectangle`' class.
`static final int`
`RECTANGLE__BACKGROUND`
The feature id for the 'Background' reference.
`static final int`
`RECTANGLE__FILLED`
The feature id for the 'Filled' attribute.
`static final int`
`RECTANGLE__FOREGROUND`
The feature id for the 'Foreground' reference.
`static final int`
`RECTANGLE__GRAPHICS_ALGORITHM_CHILDREN`
The feature id for the 'Graphics Algorithm Children' containment reference list.
`static final int`
`RECTANGLE__HEIGHT`
The feature id for the 'Height' attribute.
`static final int`
`RECTANGLE__LINE_STYLE`
The feature id for the 'Line Style' attribute.
`static final int`
`RECTANGLE__LINE_VISIBLE`
The feature id for the 'Line Visible' attribute.
`static final int`
`RECTANGLE__LINE_WIDTH`
The feature id for the 'Line Width' attribute.
`static final int`
`RECTANGLE__PARENT_GRAPHICS_ALGORITHM`
The feature id for the 'Parent Graphics Algorithm' container reference.
`static final int`
`RECTANGLE__PICTOGRAM_ELEMENT`
The feature id for the 'Pictogram Element' container reference.
`static final int`
`RECTANGLE__PROPERTIES`
The feature id for the 'Properties' containment reference list.
`static final int`
`RECTANGLE__RENDERING_STYLE`
The feature id for the 'Rendering Style' containment reference.
`static final int`
`RECTANGLE__STYLE`
The feature id for the 'Style' reference.
`static final int`
`RECTANGLE__TRANSPARENCY`
The feature id for the 'Transparency' attribute.
`static final int`
`RECTANGLE__WIDTH`
The feature id for the 'Width' attribute.
`static final int`
`RECTANGLE__X`
The feature id for the 'X' attribute.
`static final int`
`RECTANGLE__Y`
The feature id for the 'Y' attribute.
`static final int`
`RECTANGLE_FEATURE_COUNT`
The number of structural features of the 'Rectangle' class.
`static final int`
`ROUNDED_RECTANGLE`
The meta object id for the '`Rounded Rectangle`' class.
`static final int`
`ROUNDED_RECTANGLE__BACKGROUND`
The feature id for the 'Background' reference.
`static final int`
`ROUNDED_RECTANGLE__CORNER_HEIGHT`
The feature id for the 'Corner Height' attribute.
`static final int`
`ROUNDED_RECTANGLE__CORNER_WIDTH`
The feature id for the 'Corner Width' attribute.
`static final int`
`ROUNDED_RECTANGLE__FILLED`
The feature id for the 'Filled' attribute.
`static final int`
`ROUNDED_RECTANGLE__FOREGROUND`
The feature id for the 'Foreground' reference.
`static final int`
`ROUNDED_RECTANGLE__GRAPHICS_ALGORITHM_CHILDREN`
The feature id for the 'Graphics Algorithm Children' containment reference list.
`static final int`
`ROUNDED_RECTANGLE__HEIGHT`
The feature id for the 'Height' attribute.
`static final int`
`ROUNDED_RECTANGLE__LINE_STYLE`
The feature id for the 'Line Style' attribute.
`static final int`
`ROUNDED_RECTANGLE__LINE_VISIBLE`
The feature id for the 'Line Visible' attribute.
`static final int`
`ROUNDED_RECTANGLE__LINE_WIDTH`
The feature id for the 'Line Width' attribute.
`static final int`
`ROUNDED_RECTANGLE__PARENT_GRAPHICS_ALGORITHM`
The feature id for the 'Parent Graphics Algorithm' container reference.
`static final int`
`ROUNDED_RECTANGLE__PICTOGRAM_ELEMENT`
The feature id for the 'Pictogram Element' container reference.
`static final int`
`ROUNDED_RECTANGLE__PROPERTIES`
The feature id for the 'Properties' containment reference list.
`static final int`
`ROUNDED_RECTANGLE__RENDERING_STYLE`
The feature id for the 'Rendering Style' containment reference.
`static final int`
`ROUNDED_RECTANGLE__STYLE`
The feature id for the 'Style' reference.
`static final int`
`ROUNDED_RECTANGLE__TRANSPARENCY`
The feature id for the 'Transparency' attribute.
`static final int`
`ROUNDED_RECTANGLE__WIDTH`
The feature id for the 'Width' attribute.
`static final int`
`ROUNDED_RECTANGLE__X`
The feature id for the 'X' attribute.
`static final int`
`ROUNDED_RECTANGLE__Y`
The feature id for the 'Y' attribute.
`static final int`
`ROUNDED_RECTANGLE_FEATURE_COUNT`
The number of structural features of the 'Rounded Rectangle' class.
`static final int`
`TEXT`
The meta object id for the '`Text`' class.
`static final int`
`TEXT__ANGLE`
The feature id for the 'Angle' attribute.
`static final int`
`TEXT__BACKGROUND`
The feature id for the 'Background' reference.
`static final int`
`TEXT__FILLED`
The feature id for the 'Filled' attribute.
`static final int`
`TEXT__FONT`
The feature id for the 'Font' reference.
`static final int`
`TEXT__FOREGROUND`
The feature id for the 'Foreground' reference.
`static final int`
`TEXT__GRAPHICS_ALGORITHM_CHILDREN`
The feature id for the 'Graphics Algorithm Children' containment reference list.
`static final int`
`TEXT__HEIGHT`
The feature id for the 'Height' attribute.
`static final int`
`TEXT__HORIZONTAL_ALIGNMENT`
The feature id for the 'Horizontal Alignment' attribute.
`static final int`
`TEXT__LINE_STYLE`
The feature id for the 'Line Style' attribute.
`static final int`
`TEXT__LINE_VISIBLE`
The feature id for the 'Line Visible' attribute.
`static final int`
`TEXT__LINE_WIDTH`
The feature id for the 'Line Width' attribute.
`static final int`
`TEXT__PARENT_GRAPHICS_ALGORITHM`
The feature id for the 'Parent Graphics Algorithm' container reference.
`static final int`
`TEXT__PICTOGRAM_ELEMENT`
The feature id for the 'Pictogram Element' container reference.
`static final int`
`TEXT__PROPERTIES`
The feature id for the 'Properties' containment reference list.
`static final int`
`TEXT__RENDERING_STYLE`
The feature id for the 'Rendering Style' containment reference.
`static final int`
`TEXT__ROTATION`
The feature id for the 'Rotation' attribute.
`static final int`
`TEXT__STYLE`
The feature id for the 'Style' reference.
`static final int`
`TEXT__STYLE_REGIONS`
The feature id for the 'Style Regions' containment reference list.
`static final int`
`TEXT__TRANSPARENCY`
The feature id for the 'Transparency' attribute.
`static final int`
`TEXT__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`TEXT__VERTICAL_ALIGNMENT`
The feature id for the 'Vertical Alignment' attribute.
`static final int`
`TEXT__WIDTH`
The feature id for the 'Width' attribute.
`static final int`
`TEXT__X`
The feature id for the 'X' attribute.
`static final int`
`TEXT__Y`
The feature id for the 'Y' attribute.
`static final int`
`TEXT_FEATURE_COUNT`
The number of structural features of the 'Text' class.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.ecore.EClass`
`getAbstractText()`
Returns the meta object for class '`Abstract Text`'.
`org.eclipse.emf.ecore.EAttribute`
`getAbstractText_Angle()`
Returns the meta object for the attribute '`Angle`'.
`org.eclipse.emf.ecore.EReference`
`getAbstractText_Font()`
Returns the meta object for the reference '`Font`'.
`org.eclipse.emf.ecore.EAttribute`
`getAbstractText_HorizontalAlignment()`
Returns the meta object for the attribute '`Horizontal Alignment`'.
`org.eclipse.emf.ecore.EAttribute`
`getAbstractText_Rotation()`
Returns the meta object for the attribute '`Rotation`'.
`org.eclipse.emf.ecore.EReference`
`getAbstractText_StyleRegions()`
Returns the meta object for the containment reference list '`Style Regions`'.
`org.eclipse.emf.ecore.EAttribute`
`getAbstractText_Value()`
Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getAbstractText_VerticalAlignment()`
Returns the meta object for the attribute '`Vertical Alignment`'.
`AlgorithmsFactory`
`getAlgorithmsFactory()`
Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass`
`getEllipse()`
Returns the meta object for class '`Ellipse`'.
`org.eclipse.emf.ecore.EClass`
`getGraphicsAlgorithm()`
Returns the meta object for class '`Graphics Algorithm`'.
`org.eclipse.emf.ecore.EReference`
`getGraphicsAlgorithm_GraphicsAlgorithmChildren()`
Returns the meta object for the containment reference list '`Graphics Algorithm Children`'.
`org.eclipse.emf.ecore.EAttribute`
`getGraphicsAlgorithm_Height()`
Returns the meta object for the attribute '`Height`'.
`org.eclipse.emf.ecore.EReference`
`getGraphicsAlgorithm_ParentGraphicsAlgorithm()`
Returns the meta object for the container reference '`Parent Graphics Algorithm`'.
`org.eclipse.emf.ecore.EReference`
`getGraphicsAlgorithm_PictogramElement()`
Returns the meta object for the container reference '`Pictogram Element`'.
`org.eclipse.emf.ecore.EReference`
`getGraphicsAlgorithm_Style()`
Returns the meta object for the reference '`Style`'.
`org.eclipse.emf.ecore.EAttribute`
`getGraphicsAlgorithm_Width()`
Returns the meta object for the attribute '`Width`'.
`org.eclipse.emf.ecore.EAttribute`
`getGraphicsAlgorithm_X()`
Returns the meta object for the attribute '`X`'.
`org.eclipse.emf.ecore.EAttribute`
`getGraphicsAlgorithm_Y()`
Returns the meta object for the attribute '`Y`'.
`org.eclipse.emf.ecore.EClass`
`getImage()`
Returns the meta object for class '`Image`'.
`org.eclipse.emf.ecore.EAttribute`
`getImage_Id()`
Returns the meta object for the attribute '`Id`'.
`org.eclipse.emf.ecore.EAttribute`
`getImage_Proportional()`
Returns the meta object for the attribute '`Proportional`'.
`org.eclipse.emf.ecore.EAttribute`
`getImage_StretchH()`
Returns the meta object for the attribute '`Stretch H`'.
`org.eclipse.emf.ecore.EAttribute`
`getImage_StretchV()`
Returns the meta object for the attribute '`Stretch V`'.
`org.eclipse.emf.ecore.EClass`
`getMultiText()`
Returns the meta object for class '`Multi Text`'.
`org.eclipse.emf.ecore.EClass`
`getPlatformGraphicsAlgorithm()`
Returns the meta object for class '`Platform Graphics Algorithm`'.
`org.eclipse.emf.ecore.EAttribute`
`getPlatformGraphicsAlgorithm_Id()`
Returns the meta object for the attribute '`Id`'.
`org.eclipse.emf.ecore.EClass`
`getPolygon()`
Returns the meta object for class '`Polygon`'.
`org.eclipse.emf.ecore.EClass`
`getPolyline()`
Returns the meta object for class '`Polyline`'.
`org.eclipse.emf.ecore.EReference`
`getPolyline_Points()`
Returns the meta object for the containment reference list '`Points`'.
`org.eclipse.emf.ecore.EClass`
`getRectangle()`
Returns the meta object for class '`Rectangle`'.
`org.eclipse.emf.ecore.EClass`
`getRoundedRectangle()`
Returns the meta object for class '`Rounded Rectangle`'.
`org.eclipse.emf.ecore.EAttribute`
`getRoundedRectangle_CornerHeight()`
Returns the meta object for the attribute '`Corner Height`'.
`org.eclipse.emf.ecore.EAttribute`
`getRoundedRectangle_CornerWidth()`
Returns the meta object for the attribute '`Corner Width`'.
`org.eclipse.emf.ecore.EClass`
`getText()`
Returns the meta object for class '`Text`'.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

static final String eNAME
The package name.

See Also:
  - Constant Field Values

### eNS_URI

static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values

### eNS_PREFIX

static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values

### eINSTANCE

static final AlgorithmsPackage eINSTANCE
The singleton instance of the package.

### GRAPHICS_ALGORITHM

static final int GRAPHICS_ALGORITHM
The meta object id for the '`Graphics Algorithm`' class.

See Also:
  - `GraphicsAlgorithmImpl`
  - `AlgorithmsPackageImpl.getGraphicsAlgorithm()`
  - Constant Field Values

### GRAPHICS_ALGORITHM__PROPERTIES

static final int GRAPHICS_ALGORITHM__PROPERTIES
The feature id for the 'Properties' containment reference list.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM__BACKGROUND

static final int GRAPHICS_ALGORITHM__BACKGROUND
The feature id for the 'Background' reference.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM__FOREGROUND

static final int GRAPHICS_ALGORITHM__FOREGROUND
The feature id for the 'Foreground' reference.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM__LINE_WIDTH

static final int GRAPHICS_ALGORITHM__LINE_WIDTH
The feature id for the 'Line Width' attribute.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM__LINE_STYLE

static final int GRAPHICS_ALGORITHM__LINE_STYLE
The feature id for the 'Line Style' attribute.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM__FILLED

static final int GRAPHICS_ALGORITHM__FILLED
The feature id for the 'Filled' attribute.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM__LINE_VISIBLE

static final int GRAPHICS_ALGORITHM__LINE_VISIBLE
The feature id for the 'Line Visible' attribute.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM__RENDERING_STYLE

static final int GRAPHICS_ALGORITHM__RENDERING_STYLE
The feature id for the 'Rendering Style' containment reference.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM__TRANSPARENCY

static final int GRAPHICS_ALGORITHM__TRANSPARENCY
The feature id for the 'Transparency' attribute.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM__GRAPHICS_ALGORITHM_CHILDREN

static final int GRAPHICS_ALGORITHM__GRAPHICS_ALGORITHM_CHILDREN
The feature id for the 'Graphics Algorithm Children' containment reference list.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM__PARENT_GRAPHICS_ALGORITHM

static final int GRAPHICS_ALGORITHM__PARENT_GRAPHICS_ALGORITHM
The feature id for the 'Parent Graphics Algorithm' container reference.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM__PICTOGRAM_ELEMENT

static final int GRAPHICS_ALGORITHM__PICTOGRAM_ELEMENT
The feature id for the 'Pictogram Element' container reference.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM__WIDTH

static final int GRAPHICS_ALGORITHM__WIDTH
The feature id for the 'Width' attribute.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM__HEIGHT

static final int GRAPHICS_ALGORITHM__HEIGHT
The feature id for the 'Height' attribute.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM__X

static final int GRAPHICS_ALGORITHM__X
The feature id for the 'X' attribute.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM__Y

static final int GRAPHICS_ALGORITHM__Y
The feature id for the 'Y' attribute.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM__STYLE

static final int GRAPHICS_ALGORITHM__STYLE
The feature id for the 'Style' reference.

See Also:
  - Constant Field Values

### GRAPHICS_ALGORITHM_FEATURE_COUNT

static final int GRAPHICS_ALGORITHM_FEATURE_COUNT
The number of structural features of the 'Graphics Algorithm' class.

See Also:
  - Constant Field Values

### POLYLINE

static final int POLYLINE
The meta object id for the '`Polyline`' class.

See Also:
  - `PolylineImpl`
  - `AlgorithmsPackageImpl.getPolyline()`
  - Constant Field Values

### POLYLINE__PROPERTIES

static final int POLYLINE__PROPERTIES
The feature id for the 'Properties' containment reference list.

See Also:
  - Constant Field Values

### POLYLINE__BACKGROUND

static final int POLYLINE__BACKGROUND
The feature id for the 'Background' reference.

See Also:
  - Constant Field Values

### POLYLINE__FOREGROUND

static final int POLYLINE__FOREGROUND
The feature id for the 'Foreground' reference.

See Also:
  - Constant Field Values

### POLYLINE__LINE_WIDTH

static final int POLYLINE__LINE_WIDTH
The feature id for the 'Line Width' attribute.

See Also:
  - Constant Field Values

### POLYLINE__LINE_STYLE

static final int POLYLINE__LINE_STYLE
The feature id for the 'Line Style' attribute.

See Also:
  - Constant Field Values

### POLYLINE__FILLED

static final int POLYLINE__FILLED
The feature id for the 'Filled' attribute.

See Also:
  - Constant Field Values

### POLYLINE__LINE_VISIBLE

static final int POLYLINE__LINE_VISIBLE
The feature id for the 'Line Visible' attribute.

See Also:
  - Constant Field Values

### POLYLINE__RENDERING_STYLE

static final int POLYLINE__RENDERING_STYLE
The feature id for the 'Rendering Style' containment reference.

See Also:
  - Constant Field Values

### POLYLINE__TRANSPARENCY

static final int POLYLINE__TRANSPARENCY
The feature id for the 'Transparency' attribute.

See Also:
  - Constant Field Values

### POLYLINE__GRAPHICS_ALGORITHM_CHILDREN

static final int POLYLINE__GRAPHICS_ALGORITHM_CHILDREN
The feature id for the 'Graphics Algorithm Children' containment reference list.

See Also:
  - Constant Field Values

### POLYLINE__PARENT_GRAPHICS_ALGORITHM

static final int POLYLINE__PARENT_GRAPHICS_ALGORITHM
The feature id for the 'Parent Graphics Algorithm' container reference.

See Also:
  - Constant Field Values

### POLYLINE__PICTOGRAM_ELEMENT

static final int POLYLINE__PICTOGRAM_ELEMENT
The feature id for the 'Pictogram Element' container reference.

See Also:
  - Constant Field Values

### POLYLINE__WIDTH

static final int POLYLINE__WIDTH
The feature id for the 'Width' attribute.

See Also:
  - Constant Field Values

### POLYLINE__HEIGHT

static final int POLYLINE__HEIGHT
The feature id for the 'Height' attribute.

See Also:
  - Constant Field Values

### POLYLINE__X

static final int POLYLINE__X
The feature id for the 'X' attribute.

See Also:
  - Constant Field Values

### POLYLINE__Y

static final int POLYLINE__Y
The feature id for the 'Y' attribute.

See Also:
  - Constant Field Values

### POLYLINE__STYLE

static final int POLYLINE__STYLE
The feature id for the 'Style' reference.

See Also:
  - Constant Field Values

### POLYLINE__POINTS

static final int POLYLINE__POINTS
The feature id for the 'Points' containment reference list.

See Also:
  - Constant Field Values

### POLYLINE_FEATURE_COUNT

static final int POLYLINE_FEATURE_COUNT
The number of structural features of the 'Polyline' class.

See Also:
  - Constant Field Values

### ELLIPSE

static final int ELLIPSE
The meta object id for the '`Ellipse`' class.

See Also:
  - `EllipseImpl`
  - `AlgorithmsPackageImpl.getEllipse()`
  - Constant Field Values

### ELLIPSE__PROPERTIES

static final int ELLIPSE__PROPERTIES
The feature id for the 'Properties' containment reference list.

See Also:
  - Constant Field Values

### ELLIPSE__BACKGROUND

static final int ELLIPSE__BACKGROUND
The feature id for the 'Background' reference.

See Also:
  - Constant Field Values

### ELLIPSE__FOREGROUND

static final int ELLIPSE__FOREGROUND
The feature id for the 'Foreground' reference.

See Also:
  - Constant Field Values

### ELLIPSE__LINE_WIDTH

static final int ELLIPSE__LINE_WIDTH
The feature id for the 'Line Width' attribute.

See Also:
  - Constant Field Values

### ELLIPSE__LINE_STYLE

static final int ELLIPSE__LINE_STYLE
The feature id for the 'Line Style' attribute.

See Also:
  - Constant Field Values

### ELLIPSE__FILLED

static final int ELLIPSE__FILLED
The feature id for the 'Filled' attribute.

See Also:
  - Constant Field Values

### ELLIPSE__LINE_VISIBLE

static final int ELLIPSE__LINE_VISIBLE
The feature id for the 'Line Visible' attribute.

See Also:
  - Constant Field Values

### ELLIPSE__RENDERING_STYLE

static final int ELLIPSE__RENDERING_STYLE
The feature id for the 'Rendering Style' containment reference.

See Also:
  - Constant Field Values

### ELLIPSE__TRANSPARENCY

static final int ELLIPSE__TRANSPARENCY
The feature id for the 'Transparency' attribute.

See Also:
  - Constant Field Values

### ELLIPSE__GRAPHICS_ALGORITHM_CHILDREN

static final int ELLIPSE__GRAPHICS_ALGORITHM_CHILDREN
The feature id for the 'Graphics Algorithm Children' containment reference list.

See Also:
  - Constant Field Values

### ELLIPSE__PARENT_GRAPHICS_ALGORITHM

static final int ELLIPSE__PARENT_GRAPHICS_ALGORITHM
The feature id for the 'Parent Graphics Algorithm' container reference.

See Also:
  - Constant Field Values

### ELLIPSE__PICTOGRAM_ELEMENT

static final int ELLIPSE__PICTOGRAM_ELEMENT
The feature id for the 'Pictogram Element' container reference.

See Also:
  - Constant Field Values

### ELLIPSE__WIDTH

static final int ELLIPSE__WIDTH
The feature id for the 'Width' attribute.

See Also:
  - Constant Field Values

### ELLIPSE__HEIGHT

static final int ELLIPSE__HEIGHT
The feature id for the 'Height' attribute.

See Also:
  - Constant Field Values

### ELLIPSE__X

static final int ELLIPSE__X
The feature id for the 'X' attribute.

See Also:
  - Constant Field Values

### ELLIPSE__Y

static final int ELLIPSE__Y
The feature id for the 'Y' attribute.

See Also:
  - Constant Field Values

### ELLIPSE__STYLE

static final int ELLIPSE__STYLE
The feature id for the 'Style' reference.

See Also:
  - Constant Field Values

### ELLIPSE_FEATURE_COUNT

static final int ELLIPSE_FEATURE_COUNT
The number of structural features of the 'Ellipse' class.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT

static final int ABSTRACT_TEXT
The meta object id for the '`Abstract Text`' class.

See Also:
  - `AbstractTextImpl`
  - `AlgorithmsPackageImpl.getAbstractText()`
  - Constant Field Values

### ABSTRACT_TEXT__PROPERTIES

static final int ABSTRACT_TEXT__PROPERTIES
The feature id for the 'Properties' containment reference list.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__BACKGROUND

static final int ABSTRACT_TEXT__BACKGROUND
The feature id for the 'Background' reference.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__FOREGROUND

static final int ABSTRACT_TEXT__FOREGROUND
The feature id for the 'Foreground' reference.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__LINE_WIDTH

static final int ABSTRACT_TEXT__LINE_WIDTH
The feature id for the 'Line Width' attribute.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__LINE_STYLE

static final int ABSTRACT_TEXT__LINE_STYLE
The feature id for the 'Line Style' attribute.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__FILLED

static final int ABSTRACT_TEXT__FILLED
The feature id for the 'Filled' attribute.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__LINE_VISIBLE

static final int ABSTRACT_TEXT__LINE_VISIBLE
The feature id for the 'Line Visible' attribute.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__RENDERING_STYLE

static final int ABSTRACT_TEXT__RENDERING_STYLE
The feature id for the 'Rendering Style' containment reference.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__TRANSPARENCY

static final int ABSTRACT_TEXT__TRANSPARENCY
The feature id for the 'Transparency' attribute.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__GRAPHICS_ALGORITHM_CHILDREN

static final int ABSTRACT_TEXT__GRAPHICS_ALGORITHM_CHILDREN
The feature id for the 'Graphics Algorithm Children' containment reference list.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__PARENT_GRAPHICS_ALGORITHM

static final int ABSTRACT_TEXT__PARENT_GRAPHICS_ALGORITHM
The feature id for the 'Parent Graphics Algorithm' container reference.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__PICTOGRAM_ELEMENT

static final int ABSTRACT_TEXT__PICTOGRAM_ELEMENT
The feature id for the 'Pictogram Element' container reference.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__WIDTH

static final int ABSTRACT_TEXT__WIDTH
The feature id for the 'Width' attribute.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__HEIGHT

static final int ABSTRACT_TEXT__HEIGHT
The feature id for the 'Height' attribute.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__X

static final int ABSTRACT_TEXT__X
The feature id for the 'X' attribute.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__Y

static final int ABSTRACT_TEXT__Y
The feature id for the 'Y' attribute.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__STYLE

static final int ABSTRACT_TEXT__STYLE
The feature id for the 'Style' reference.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__FONT

static final int ABSTRACT_TEXT__FONT
The feature id for the 'Font' reference.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__HORIZONTAL_ALIGNMENT

static final int ABSTRACT_TEXT__HORIZONTAL_ALIGNMENT
The feature id for the 'Horizontal Alignment' attribute.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__VERTICAL_ALIGNMENT

static final int ABSTRACT_TEXT__VERTICAL_ALIGNMENT
The feature id for the 'Vertical Alignment' attribute.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__ANGLE

static final int ABSTRACT_TEXT__ANGLE
The feature id for the 'Angle' attribute.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__VALUE

static final int ABSTRACT_TEXT__VALUE
The feature id for the 'Value' attribute.

See Also:
  - Constant Field Values

### ABSTRACT_TEXT__STYLE_REGIONS

static final int ABSTRACT_TEXT__STYLE_REGIONS
The feature id for the 'Style Regions' containment reference list.

Since:
  0.10
See Also:
  - Constant Field Values

### ABSTRACT_TEXT__ROTATION

static final int ABSTRACT_TEXT__ROTATION
The feature id for the 'Rotation' attribute.

Since:
  0.11
See Also:
  - Constant Field Values

### ABSTRACT_TEXT_FEATURE_COUNT

static final int ABSTRACT_TEXT_FEATURE_COUNT
The number of structural features of the 'Abstract Text' class.

See Also:
  - Constant Field Values

### TEXT

static final int TEXT
The meta object id for the '`Text`' class.

See Also:
  - `TextImpl`
  - `AlgorithmsPackageImpl.getText()`
  - Constant Field Values

### TEXT__PROPERTIES

static final int TEXT__PROPERTIES
The feature id for the 'Properties' containment reference list.

See Also:
  - Constant Field Values

### TEXT__BACKGROUND

static final int TEXT__BACKGROUND
The feature id for the 'Background' reference.

See Also:
  - Constant Field Values

### TEXT__FOREGROUND

static final int TEXT__FOREGROUND
The feature id for the 'Foreground' reference.

See Also:
  - Constant Field Values

### TEXT__LINE_WIDTH

static final int TEXT__LINE_WIDTH
The feature id for the 'Line Width' attribute.

See Also:
  - Constant Field Values

### TEXT__LINE_STYLE

static final int TEXT__LINE_STYLE
The feature id for the 'Line Style' attribute.

See Also:
  - Constant Field Values

### TEXT__FILLED

static final int TEXT__FILLED
The feature id for the 'Filled' attribute.

See Also:
  - Constant Field Values

### TEXT__LINE_VISIBLE

static final int TEXT__LINE_VISIBLE
The feature id for the 'Line Visible' attribute.

See Also:
  - Constant Field Values

### TEXT__RENDERING_STYLE

static final int TEXT__RENDERING_STYLE
The feature id for the 'Rendering Style' containment reference.

See Also:
  - Constant Field Values

### TEXT__TRANSPARENCY

static final int TEXT__TRANSPARENCY
The feature id for the 'Transparency' attribute.

See Also:
  - Constant Field Values

### TEXT__GRAPHICS_ALGORITHM_CHILDREN

static final int TEXT__GRAPHICS_ALGORITHM_CHILDREN
The feature id for the 'Graphics Algorithm Children' containment reference list.

See Also:
  - Constant Field Values

### TEXT__PARENT_GRAPHICS_ALGORITHM

static final int TEXT__PARENT_GRAPHICS_ALGORITHM
The feature id for the 'Parent Graphics Algorithm' container reference.

See Also:
  - Constant Field Values

### TEXT__PICTOGRAM_ELEMENT

static final int TEXT__PICTOGRAM_ELEMENT
The feature id for the 'Pictogram Element' container reference.

See Also:
  - Constant Field Values

### TEXT__WIDTH

static final int TEXT__WIDTH
The feature id for the 'Width' attribute.

See Also:
  - Constant Field Values

### TEXT__HEIGHT

static final int TEXT__HEIGHT
The feature id for the 'Height' attribute.

See Also:
  - Constant Field Values

### TEXT__X

static final int TEXT__X
The feature id for the 'X' attribute.

See Also:
  - Constant Field Values

### TEXT__Y

static final int TEXT__Y
The feature id for the 'Y' attribute.

See Also:
  - Constant Field Values

### TEXT__STYLE

static final int TEXT__STYLE
The feature id for the 'Style' reference.

See Also:
  - Constant Field Values

### TEXT__FONT

static final int TEXT__FONT
The feature id for the 'Font' reference.

See Also:
  - Constant Field Values

### TEXT__HORIZONTAL_ALIGNMENT

static final int TEXT__HORIZONTAL_ALIGNMENT
The feature id for the 'Horizontal Alignment' attribute.

See Also:
  - Constant Field Values

### TEXT__VERTICAL_ALIGNMENT

static final int TEXT__VERTICAL_ALIGNMENT
The feature id for the 'Vertical Alignment' attribute.

See Also:
  - Constant Field Values

### TEXT__ANGLE

static final int TEXT__ANGLE
The feature id for the 'Angle' attribute.

See Also:
  - Constant Field Values

### TEXT__VALUE

static final int TEXT__VALUE
The feature id for the 'Value' attribute.

See Also:
  - Constant Field Values

### TEXT__STYLE_REGIONS

static final int TEXT__STYLE_REGIONS
The feature id for the 'Style Regions' containment reference list.

Since:
  0.10
See Also:
  - Constant Field Values

### TEXT__ROTATION

static final int TEXT__ROTATION
The feature id for the 'Rotation' attribute.

Since:
  0.11
See Also:
  - Constant Field Values

### TEXT_FEATURE_COUNT

static final int TEXT_FEATURE_COUNT
The number of structural features of the 'Text' class.

See Also:
  - Constant Field Values

### POLYGON

static final int POLYGON
The meta object id for the '`Polygon`' class.

See Also:
  - `PolygonImpl`
  - `AlgorithmsPackageImpl.getPolygon()`
  - Constant Field Values

### POLYGON__PROPERTIES

static final int POLYGON__PROPERTIES
The feature id for the 'Properties' containment reference list.

See Also:
  - Constant Field Values

### POLYGON__BACKGROUND

static final int POLYGON__BACKGROUND
The feature id for the 'Background' reference.

See Also:
  - Constant Field Values

### POLYGON__FOREGROUND

static final int POLYGON__FOREGROUND
The feature id for the 'Foreground' reference.

See Also:
  - Constant Field Values

### POLYGON__LINE_WIDTH

static final int POLYGON__LINE_WIDTH
The feature id for the 'Line Width' attribute.

See Also:
  - Constant Field Values

### POLYGON__LINE_STYLE

static final int POLYGON__LINE_STYLE
The feature id for the 'Line Style' attribute.

See Also:
  - Constant Field Values

### POLYGON__FILLED

static final int POLYGON__FILLED
The feature id for the 'Filled' attribute.

See Also:
  - Constant Field Values

### POLYGON__LINE_VISIBLE

static final int POLYGON__LINE_VISIBLE
The feature id for the 'Line Visible' attribute.

See Also:
  - Constant Field Values

### POLYGON__RENDERING_STYLE

static final int POLYGON__RENDERING_STYLE
The feature id for the 'Rendering Style' containment reference.

See Also:
  - Constant Field Values

### POLYGON__TRANSPARENCY

static final int POLYGON__TRANSPARENCY
The feature id for the 'Transparency' attribute.

See Also:
  - Constant Field Values

### POLYGON__GRAPHICS_ALGORITHM_CHILDREN

static final int POLYGON__GRAPHICS_ALGORITHM_CHILDREN
The feature id for the 'Graphics Algorithm Children' containment reference list.

See Also:
  - Constant Field Values

### POLYGON__PARENT_GRAPHICS_ALGORITHM

static final int POLYGON__PARENT_GRAPHICS_ALGORITHM
The feature id for the 'Parent Graphics Algorithm' container reference.

See Also:
  - Constant Field Values

### POLYGON__PICTOGRAM_ELEMENT

static final int POLYGON__PICTOGRAM_ELEMENT
The feature id for the 'Pictogram Element' container reference.

See Also:
  - Constant Field Values

### POLYGON__WIDTH

static final int POLYGON__WIDTH
The feature id for the 'Width' attribute.

See Also:
  - Constant Field Values

### POLYGON__HEIGHT

static final int POLYGON__HEIGHT
The feature id for the 'Height' attribute.

See Also:
  - Constant Field Values

### POLYGON__X

static final int POLYGON__X
The feature id for the 'X' attribute.

See Also:
  - Constant Field Values

### POLYGON__Y

static final int POLYGON__Y
The feature id for the 'Y' attribute.

See Also:
  - Constant Field Values

### POLYGON__STYLE

static final int POLYGON__STYLE
The feature id for the 'Style' reference.

See Also:
  - Constant Field Values

### POLYGON__POINTS

static final int POLYGON__POINTS
The feature id for the 'Points' containment reference list.

See Also:
  - Constant Field Values

### POLYGON_FEATURE_COUNT

static final int POLYGON_FEATURE_COUNT
The number of structural features of the 'Polygon' class.

See Also:
  - Constant Field Values

### RECTANGLE

static final int RECTANGLE
The meta object id for the '`Rectangle`' class.

See Also:
  - `RectangleImpl`
  - `AlgorithmsPackageImpl.getRectangle()`
  - Constant Field Values

### RECTANGLE__PROPERTIES

static final int RECTANGLE__PROPERTIES
The feature id for the 'Properties' containment reference list.

See Also:
  - Constant Field Values

### RECTANGLE__BACKGROUND

static final int RECTANGLE__BACKGROUND
The feature id for the 'Background' reference.

See Also:
  - Constant Field Values

### RECTANGLE__FOREGROUND

static final int RECTANGLE__FOREGROUND
The feature id for the 'Foreground' reference.

See Also:
  - Constant Field Values

### RECTANGLE__LINE_WIDTH

static final int RECTANGLE__LINE_WIDTH
The feature id for the 'Line Width' attribute.

See Also:
  - Constant Field Values

### RECTANGLE__LINE_STYLE

static final int RECTANGLE__LINE_STYLE
The feature id for the 'Line Style' attribute.

See Also:
  - Constant Field Values

### RECTANGLE__FILLED

static final int RECTANGLE__FILLED
The feature id for the 'Filled' attribute.

See Also:
  - Constant Field Values

### RECTANGLE__LINE_VISIBLE

static final int RECTANGLE__LINE_VISIBLE
The feature id for the 'Line Visible' attribute.

See Also:
  - Constant Field Values

### RECTANGLE__RENDERING_STYLE

static final int RECTANGLE__RENDERING_STYLE
The feature id for the 'Rendering Style' containment reference.

See Also:
  - Constant Field Values

### RECTANGLE__TRANSPARENCY

static final int RECTANGLE__TRANSPARENCY
The feature id for the 'Transparency' attribute.

See Also:
  - Constant Field Values

### RECTANGLE__GRAPHICS_ALGORITHM_CHILDREN

static final int RECTANGLE__GRAPHICS_ALGORITHM_CHILDREN
The feature id for the 'Graphics Algorithm Children' containment reference list.

See Also:
  - Constant Field Values

### RECTANGLE__PARENT_GRAPHICS_ALGORITHM

static final int RECTANGLE__PARENT_GRAPHICS_ALGORITHM
The feature id for the 'Parent Graphics Algorithm' container reference.

See Also:
  - Constant Field Values

### RECTANGLE__PICTOGRAM_ELEMENT

static final int RECTANGLE__PICTOGRAM_ELEMENT
The feature id for the 'Pictogram Element' container reference.

See Also:
  - Constant Field Values

### RECTANGLE__WIDTH

static final int RECTANGLE__WIDTH
The feature id for the 'Width' attribute.

See Also:
  - Constant Field Values

### RECTANGLE__HEIGHT

static final int RECTANGLE__HEIGHT
The feature id for the 'Height' attribute.

See Also:
  - Constant Field Values

### RECTANGLE__X

static final int RECTANGLE__X
The feature id for the 'X' attribute.

See Also:
  - Constant Field Values

### RECTANGLE__Y

static final int RECTANGLE__Y
The feature id for the 'Y' attribute.

See Also:
  - Constant Field Values

### RECTANGLE__STYLE

static final int RECTANGLE__STYLE
The feature id for the 'Style' reference.

See Also:
  - Constant Field Values

### RECTANGLE_FEATURE_COUNT

static final int RECTANGLE_FEATURE_COUNT
The number of structural features of the 'Rectangle' class.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE

static final int ROUNDED_RECTANGLE
The meta object id for the '`Rounded Rectangle`' class.

See Also:
  - `RoundedRectangleImpl`
  - `AlgorithmsPackageImpl.getRoundedRectangle()`
  - Constant Field Values

### ROUNDED_RECTANGLE__PROPERTIES

static final int ROUNDED_RECTANGLE__PROPERTIES
The feature id for the 'Properties' containment reference list.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__BACKGROUND

static final int ROUNDED_RECTANGLE__BACKGROUND
The feature id for the 'Background' reference.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__FOREGROUND

static final int ROUNDED_RECTANGLE__FOREGROUND
The feature id for the 'Foreground' reference.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__LINE_WIDTH

static final int ROUNDED_RECTANGLE__LINE_WIDTH
The feature id for the 'Line Width' attribute.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__LINE_STYLE

static final int ROUNDED_RECTANGLE__LINE_STYLE
The feature id for the 'Line Style' attribute.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__FILLED

static final int ROUNDED_RECTANGLE__FILLED
The feature id for the 'Filled' attribute.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__LINE_VISIBLE

static final int ROUNDED_RECTANGLE__LINE_VISIBLE
The feature id for the 'Line Visible' attribute.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__RENDERING_STYLE

static final int ROUNDED_RECTANGLE__RENDERING_STYLE
The feature id for the 'Rendering Style' containment reference.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__TRANSPARENCY

static final int ROUNDED_RECTANGLE__TRANSPARENCY
The feature id for the 'Transparency' attribute.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__GRAPHICS_ALGORITHM_CHILDREN

static final int ROUNDED_RECTANGLE__GRAPHICS_ALGORITHM_CHILDREN
The feature id for the 'Graphics Algorithm Children' containment reference list.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__PARENT_GRAPHICS_ALGORITHM

static final int ROUNDED_RECTANGLE__PARENT_GRAPHICS_ALGORITHM
The feature id for the 'Parent Graphics Algorithm' container reference.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__PICTOGRAM_ELEMENT

static final int ROUNDED_RECTANGLE__PICTOGRAM_ELEMENT
The feature id for the 'Pictogram Element' container reference.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__WIDTH

static final int ROUNDED_RECTANGLE__WIDTH
The feature id for the 'Width' attribute.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__HEIGHT

static final int ROUNDED_RECTANGLE__HEIGHT
The feature id for the 'Height' attribute.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__X

static final int ROUNDED_RECTANGLE__X
The feature id for the 'X' attribute.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__Y

static final int ROUNDED_RECTANGLE__Y
The feature id for the 'Y' attribute.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__STYLE

static final int ROUNDED_RECTANGLE__STYLE
The feature id for the 'Style' reference.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__CORNER_HEIGHT

static final int ROUNDED_RECTANGLE__CORNER_HEIGHT
The feature id for the 'Corner Height' attribute.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE__CORNER_WIDTH

static final int ROUNDED_RECTANGLE__CORNER_WIDTH
The feature id for the 'Corner Width' attribute.

See Also:
  - Constant Field Values

### ROUNDED_RECTANGLE_FEATURE_COUNT

static final int ROUNDED_RECTANGLE_FEATURE_COUNT
The number of structural features of the 'Rounded Rectangle' class.

See Also:
  - Constant Field Values

### IMAGE

static final int IMAGE
The meta object id for the '`Image`' class.

See Also:
  - `ImageImpl`
  - `AlgorithmsPackageImpl.getImage()`
  - Constant Field Values

### IMAGE__PROPERTIES

static final int IMAGE__PROPERTIES
The feature id for the 'Properties' containment reference list.

See Also:
  - Constant Field Values

### IMAGE__BACKGROUND

static final int IMAGE__BACKGROUND
The feature id for the 'Background' reference.

See Also:
  - Constant Field Values

### IMAGE__FOREGROUND

static final int IMAGE__FOREGROUND
The feature id for the 'Foreground' reference.

See Also:
  - Constant Field Values

### IMAGE__LINE_WIDTH

static final int IMAGE__LINE_WIDTH
The feature id for the 'Line Width' attribute.

See Also:
  - Constant Field Values

### IMAGE__LINE_STYLE

static final int IMAGE__LINE_STYLE
The feature id for the 'Line Style' attribute.

See Also:
  - Constant Field Values

### IMAGE__FILLED

static final int IMAGE__FILLED
The feature id for the 'Filled' attribute.

See Also:
  - Constant Field Values

### IMAGE__LINE_VISIBLE

static final int IMAGE__LINE_VISIBLE
The feature id for the 'Line Visible' attribute.

See Also:
  - Constant Field Values

### IMAGE__RENDERING_STYLE

static final int IMAGE__RENDERING_STYLE
The feature id for the 'Rendering Style' containment reference.

See Also:
  - Constant Field Values

### IMAGE__TRANSPARENCY

static final int IMAGE__TRANSPARENCY
The feature id for the 'Transparency' attribute.

See Also:
  - Constant Field Values

### IMAGE__GRAPHICS_ALGORITHM_CHILDREN

static final int IMAGE__GRAPHICS_ALGORITHM_CHILDREN
The feature id for the 'Graphics Algorithm Children' containment reference list.

See Also:
  - Constant Field Values

### IMAGE__PARENT_GRAPHICS_ALGORITHM

static final int IMAGE__PARENT_GRAPHICS_ALGORITHM
The feature id for the 'Parent Graphics Algorithm' container reference.

See Also:
  - Constant Field Values

### IMAGE__PICTOGRAM_ELEMENT

static final int IMAGE__PICTOGRAM_ELEMENT
The feature id for the 'Pictogram Element' container reference.

See Also:
  - Constant Field Values

### IMAGE__WIDTH

static final int IMAGE__WIDTH
The feature id for the 'Width' attribute.

See Also:
  - Constant Field Values

### IMAGE__HEIGHT

static final int IMAGE__HEIGHT
The feature id for the 'Height' attribute.

See Also:
  - Constant Field Values

### IMAGE__X

static final int IMAGE__X
The feature id for the 'X' attribute.

See Also:
  - Constant Field Values

### IMAGE__Y

static final int IMAGE__Y
The feature id for the 'Y' attribute.

See Also:
  - Constant Field Values

### IMAGE__STYLE

static final int IMAGE__STYLE
The feature id for the 'Style' reference.

See Also:
  - Constant Field Values

### IMAGE__ID

static final int IMAGE__ID
The feature id for the 'Id' attribute.

See Also:
  - Constant Field Values

### IMAGE__STRETCH_H

static final int IMAGE__STRETCH_H
The feature id for the 'Stretch H' attribute.

See Also:
  - Constant Field Values

### IMAGE__STRETCH_V

static final int IMAGE__STRETCH_V
The feature id for the 'Stretch V' attribute.

See Also:
  - Constant Field Values

### IMAGE__PROPORTIONAL

static final int IMAGE__PROPORTIONAL
The feature id for the 'Proportional' attribute.

See Also:
  - Constant Field Values

### IMAGE_FEATURE_COUNT

static final int IMAGE_FEATURE_COUNT
The number of structural features of the 'Image' class.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM

static final int PLATFORM_GRAPHICS_ALGORITHM
The meta object id for the '`Platform Graphics Algorithm`' class.

See Also:
  - `PlatformGraphicsAlgorithmImpl`
  - `AlgorithmsPackageImpl.getPlatformGraphicsAlgorithm()`
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__PROPERTIES

static final int PLATFORM_GRAPHICS_ALGORITHM__PROPERTIES
The feature id for the 'Properties' containment reference list.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__BACKGROUND

static final int PLATFORM_GRAPHICS_ALGORITHM__BACKGROUND
The feature id for the 'Background' reference.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__FOREGROUND

static final int PLATFORM_GRAPHICS_ALGORITHM__FOREGROUND
The feature id for the 'Foreground' reference.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__LINE_WIDTH

static final int PLATFORM_GRAPHICS_ALGORITHM__LINE_WIDTH
The feature id for the 'Line Width' attribute.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__LINE_STYLE

static final int PLATFORM_GRAPHICS_ALGORITHM__LINE_STYLE
The feature id for the 'Line Style' attribute.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__FILLED

static final int PLATFORM_GRAPHICS_ALGORITHM__FILLED
The feature id for the 'Filled' attribute.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__LINE_VISIBLE

static final int PLATFORM_GRAPHICS_ALGORITHM__LINE_VISIBLE
The feature id for the 'Line Visible' attribute.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__RENDERING_STYLE

static final int PLATFORM_GRAPHICS_ALGORITHM__RENDERING_STYLE
The feature id for the 'Rendering Style' containment reference.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__TRANSPARENCY

static final int PLATFORM_GRAPHICS_ALGORITHM__TRANSPARENCY
The feature id for the 'Transparency' attribute.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__GRAPHICS_ALGORITHM_CHILDREN

static final int PLATFORM_GRAPHICS_ALGORITHM__GRAPHICS_ALGORITHM_CHILDREN
The feature id for the 'Graphics Algorithm Children' containment reference list.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__PARENT_GRAPHICS_ALGORITHM

static final int PLATFORM_GRAPHICS_ALGORITHM__PARENT_GRAPHICS_ALGORITHM
The feature id for the 'Parent Graphics Algorithm' container reference.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__PICTOGRAM_ELEMENT

static final int PLATFORM_GRAPHICS_ALGORITHM__PICTOGRAM_ELEMENT
The feature id for the 'Pictogram Element' container reference.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__WIDTH

static final int PLATFORM_GRAPHICS_ALGORITHM__WIDTH
The feature id for the 'Width' attribute.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__HEIGHT

static final int PLATFORM_GRAPHICS_ALGORITHM__HEIGHT
The feature id for the 'Height' attribute.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__X

static final int PLATFORM_GRAPHICS_ALGORITHM__X
The feature id for the 'X' attribute.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__Y

static final int PLATFORM_GRAPHICS_ALGORITHM__Y
The feature id for the 'Y' attribute.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__STYLE

static final int PLATFORM_GRAPHICS_ALGORITHM__STYLE
The feature id for the 'Style' reference.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM__ID

static final int PLATFORM_GRAPHICS_ALGORITHM__ID
The feature id for the 'Id' attribute.

See Also:
  - Constant Field Values

### PLATFORM_GRAPHICS_ALGORITHM_FEATURE_COUNT

static final int PLATFORM_GRAPHICS_ALGORITHM_FEATURE_COUNT
The number of structural features of the 'Platform Graphics Algorithm' class.

See Also:
  - Constant Field Values

### MULTI_TEXT

static final int MULTI_TEXT
The meta object id for the '`Multi Text`' class.

See Also:
  - `MultiTextImpl`
  - `AlgorithmsPackageImpl.getMultiText()`
  - Constant Field Values

### MULTI_TEXT__PROPERTIES

static final int MULTI_TEXT__PROPERTIES
The feature id for the 'Properties' containment reference list.

See Also:
  - Constant Field Values

### MULTI_TEXT__BACKGROUND

static final int MULTI_TEXT__BACKGROUND
The feature id for the 'Background' reference.

See Also:
  - Constant Field Values

### MULTI_TEXT__FOREGROUND

static final int MULTI_TEXT__FOREGROUND
The feature id for the 'Foreground' reference.

See Also:
  - Constant Field Values

### MULTI_TEXT__LINE_WIDTH

static final int MULTI_TEXT__LINE_WIDTH
The feature id for the 'Line Width' attribute.

See Also:
  - Constant Field Values

### MULTI_TEXT__LINE_STYLE

static final int MULTI_TEXT__LINE_STYLE
The feature id for the 'Line Style' attribute.

See Also:
  - Constant Field Values

### MULTI_TEXT__FILLED

static final int MULTI_TEXT__FILLED
The feature id for the 'Filled' attribute.

See Also:
  - Constant Field Values

### MULTI_TEXT__LINE_VISIBLE

static final int MULTI_TEXT__LINE_VISIBLE
The feature id for the 'Line Visible' attribute.

See Also:
  - Constant Field Values

### MULTI_TEXT__RENDERING_STYLE

static final int MULTI_TEXT__RENDERING_STYLE
The feature id for the 'Rendering Style' containment reference.

See Also:
  - Constant Field Values

### MULTI_TEXT__TRANSPARENCY

static final int MULTI_TEXT__TRANSPARENCY
The feature id for the 'Transparency' attribute.

See Also:
  - Constant Field Values

### MULTI_TEXT__GRAPHICS_ALGORITHM_CHILDREN

static final int MULTI_TEXT__GRAPHICS_ALGORITHM_CHILDREN
The feature id for the 'Graphics Algorithm Children' containment reference list.

See Also:
  - Constant Field Values

### MULTI_TEXT__PARENT_GRAPHICS_ALGORITHM

static final int MULTI_TEXT__PARENT_GRAPHICS_ALGORITHM
The feature id for the 'Parent Graphics Algorithm' container reference.

See Also:
  - Constant Field Values

### MULTI_TEXT__PICTOGRAM_ELEMENT

static final int MULTI_TEXT__PICTOGRAM_ELEMENT
The feature id for the 'Pictogram Element' container reference.

See Also:
  - Constant Field Values

### MULTI_TEXT__WIDTH

static final int MULTI_TEXT__WIDTH
The feature id for the 'Width' attribute.

See Also:
  - Constant Field Values

### MULTI_TEXT__HEIGHT

static final int MULTI_TEXT__HEIGHT
The feature id for the 'Height' attribute.

See Also:
  - Constant Field Values

### MULTI_TEXT__X

static final int MULTI_TEXT__X
The feature id for the 'X' attribute.

See Also:
  - Constant Field Values

### MULTI_TEXT__Y

static final int MULTI_TEXT__Y
The feature id for the 'Y' attribute.

See Also:
  - Constant Field Values

### MULTI_TEXT__STYLE

static final int MULTI_TEXT__STYLE
The feature id for the 'Style' reference.

See Also:
  - Constant Field Values

### MULTI_TEXT__FONT

static final int MULTI_TEXT__FONT
The feature id for the 'Font' reference.

See Also:
  - Constant Field Values

### MULTI_TEXT__HORIZONTAL_ALIGNMENT

static final int MULTI_TEXT__HORIZONTAL_ALIGNMENT
The feature id for the 'Horizontal Alignment' attribute.

See Also:
  - Constant Field Values

### MULTI_TEXT__VERTICAL_ALIGNMENT

static final int MULTI_TEXT__VERTICAL_ALIGNMENT
The feature id for the 'Vertical Alignment' attribute.

See Also:
  - Constant Field Values

### MULTI_TEXT__ANGLE

static final int MULTI_TEXT__ANGLE
The feature id for the 'Angle' attribute.

See Also:
  - Constant Field Values

### MULTI_TEXT__VALUE

static final int MULTI_TEXT__VALUE
The feature id for the 'Value' attribute.

See Also:
  - Constant Field Values

### MULTI_TEXT__STYLE_REGIONS

static final int MULTI_TEXT__STYLE_REGIONS
The feature id for the 'Style Regions' containment reference list.

Since:
  0.10
See Also:
  - Constant Field Values

### MULTI_TEXT__ROTATION

static final int MULTI_TEXT__ROTATION
The feature id for the 'Rotation' attribute.

Since:
  0.11
See Also:
  - Constant Field Values

### MULTI_TEXT_FEATURE_COUNT

static final int MULTI_TEXT_FEATURE_COUNT
The number of structural features of the 'Multi Text' class.

See Also:
  - Constant Field Values

## Method Details

### getGraphicsAlgorithm

org.eclipse.emf.ecore.EClass getGraphicsAlgorithm()
Returns the meta object for class '`Graphics Algorithm`'.

Returns:
  the meta object for class 'Graphics Algorithm'.
See Also:
  - `GraphicsAlgorithm`

### getGraphicsAlgorithm_GraphicsAlgorithmChildren

org.eclipse.emf.ecore.EReference getGraphicsAlgorithm_GraphicsAlgorithmChildren()
Returns the meta object for the containment reference list '`Graphics Algorithm Children`'.

Returns:
  the meta object for the containment reference list 'Graphics Algorithm Children'.
See Also:
  - `GraphicsAlgorithm.getGraphicsAlgorithmChildren()`
  - `getGraphicsAlgorithm()`

### getGraphicsAlgorithm_ParentGraphicsAlgorithm

org.eclipse.emf.ecore.EReference getGraphicsAlgorithm_ParentGraphicsAlgorithm()
Returns the meta object for the container reference '`Parent Graphics Algorithm`'.

Returns:
  the meta object for the container reference 'Parent Graphics Algorithm'.
See Also:
  - `GraphicsAlgorithm.getParentGraphicsAlgorithm()`
  - `getGraphicsAlgorithm()`

### getGraphicsAlgorithm_PictogramElement

org.eclipse.emf.ecore.EReference getGraphicsAlgorithm_PictogramElement()
Returns the meta object for the container reference '`Pictogram Element`'.

Returns:
  the meta object for the container reference 'Pictogram Element'.
See Also:
  - `GraphicsAlgorithm.getPictogramElement()`
  - `getGraphicsAlgorithm()`

### getGraphicsAlgorithm_Width

org.eclipse.emf.ecore.EAttribute getGraphicsAlgorithm_Width()
Returns the meta object for the attribute '`Width`'.

Returns:
  the meta object for the attribute 'Width'.
See Also:
  - `GraphicsAlgorithm.getWidth()`
  - `getGraphicsAlgorithm()`

### getGraphicsAlgorithm_Height

org.eclipse.emf.ecore.EAttribute getGraphicsAlgorithm_Height()
Returns the meta object for the attribute '`Height`'.

Returns:
  the meta object for the attribute 'Height'.
See Also:
  - `GraphicsAlgorithm.getHeight()`
  - `getGraphicsAlgorithm()`

### getGraphicsAlgorithm_X

org.eclipse.emf.ecore.EAttribute getGraphicsAlgorithm_X()
Returns the meta object for the attribute '`X`'.

Returns:
  the meta object for the attribute 'X'.
See Also:
  - `GraphicsAlgorithm.getX()`
  - `getGraphicsAlgorithm()`

### getGraphicsAlgorithm_Y

org.eclipse.emf.ecore.EAttribute getGraphicsAlgorithm_Y()
Returns the meta object for the attribute '`Y`'.

Returns:
  the meta object for the attribute 'Y'.
See Also:
  - `GraphicsAlgorithm.getY()`
  - `getGraphicsAlgorithm()`

### getGraphicsAlgorithm_Style

org.eclipse.emf.ecore.EReference getGraphicsAlgorithm_Style()
Returns the meta object for the reference '`Style`'.

Returns:
  the meta object for the reference 'Style'.
See Also:
  - `GraphicsAlgorithm.getStyle()`
  - `getGraphicsAlgorithm()`

### getPolyline

org.eclipse.emf.ecore.EClass getPolyline()
Returns the meta object for class '`Polyline`'.

Returns:
  the meta object for class 'Polyline'.
See Also:
  - `Polyline`

### getPolyline_Points

org.eclipse.emf.ecore.EReference getPolyline_Points()
Returns the meta object for the containment reference list '`Points`'.

Returns:
  the meta object for the containment reference list 'Points'.
See Also:
  - `Polyline.getPoints()`
  - `getPolyline()`

### getEllipse

org.eclipse.emf.ecore.EClass getEllipse()
Returns the meta object for class '`Ellipse`'.

Returns:
  the meta object for class 'Ellipse'.
See Also:
  - `Ellipse`

### getText

org.eclipse.emf.ecore.EClass getText()
Returns the meta object for class '`Text`'.

Returns:
  the meta object for class 'Text'.
See Also:
  - `Text`

### getPolygon

org.eclipse.emf.ecore.EClass getPolygon()
Returns the meta object for class '`Polygon`'.

Returns:
  the meta object for class 'Polygon'.
See Also:
  - `Polygon`

### getRectangle

org.eclipse.emf.ecore.EClass getRectangle()
Returns the meta object for class '`Rectangle`'.

Returns:
  the meta object for class 'Rectangle'.
See Also:
  - `Rectangle`

### getRoundedRectangle

org.eclipse.emf.ecore.EClass getRoundedRectangle()
Returns the meta object for class '`Rounded Rectangle`'.

Returns:
  the meta object for class 'Rounded Rectangle'.
See Also:
  - `RoundedRectangle`

### getRoundedRectangle_CornerHeight

org.eclipse.emf.ecore.EAttribute getRoundedRectangle_CornerHeight()
Returns the meta object for the attribute '`Corner Height`'.

Returns:
  the meta object for the attribute 'Corner Height'.
See Also:
  - `RoundedRectangle.getCornerHeight()`
  - `getRoundedRectangle()`

### getRoundedRectangle_CornerWidth

org.eclipse.emf.ecore.EAttribute getRoundedRectangle_CornerWidth()
Returns the meta object for the attribute '`Corner Width`'.

Returns:
  the meta object for the attribute 'Corner Width'.
See Also:
  - `RoundedRectangle.getCornerWidth()`
  - `getRoundedRectangle()`

### getImage

org.eclipse.emf.ecore.EClass getImage()
Returns the meta object for class '`Image`'.

Returns:
  the meta object for class 'Image'.
See Also:
  - `Image`

### getImage_Id

org.eclipse.emf.ecore.EAttribute getImage_Id()
Returns the meta object for the attribute '`Id`'.

Returns:
  the meta object for the attribute 'Id'.
See Also:
  - `Image.getId()`
  - `getImage()`

### getImage_StretchH

org.eclipse.emf.ecore.EAttribute getImage_StretchH()
Returns the meta object for the attribute '`Stretch H`'.

Returns:
  the meta object for the attribute 'Stretch H'.
See Also:
  - `Image.getStretchH()`
  - `getImage()`

### getImage_StretchV

org.eclipse.emf.ecore.EAttribute getImage_StretchV()
Returns the meta object for the attribute '`Stretch V`'.

Returns:
  the meta object for the attribute 'Stretch V'.
See Also:
  - `Image.getStretchV()`
  - `getImage()`

### getImage_Proportional

org.eclipse.emf.ecore.EAttribute getImage_Proportional()
Returns the meta object for the attribute '`Proportional`'.

Returns:
  the meta object for the attribute 'Proportional'.
See Also:
  - `Image.getProportional()`
  - `getImage()`

### getPlatformGraphicsAlgorithm

org.eclipse.emf.ecore.EClass getPlatformGraphicsAlgorithm()
Returns the meta object for class '`Platform Graphics Algorithm`'.

Returns:
  the meta object for class 'Platform Graphics Algorithm'.
See Also:
  - `PlatformGraphicsAlgorithm`

### getPlatformGraphicsAlgorithm_Id

org.eclipse.emf.ecore.EAttribute getPlatformGraphicsAlgorithm_Id()
Returns the meta object for the attribute '`Id`'.

Returns:
  the meta object for the attribute 'Id'.
See Also:
  - `PlatformGraphicsAlgorithm.getId()`
  - `getPlatformGraphicsAlgorithm()`

### getAbstractText

org.eclipse.emf.ecore.EClass getAbstractText()
Returns the meta object for class '`Abstract Text`'.

Returns:
  the meta object for class 'Abstract Text'.
See Also:
  - `AbstractText`

### getAbstractText_Font

org.eclipse.emf.ecore.EReference getAbstractText_Font()
Returns the meta object for the reference '`Font`'.

Returns:
  the meta object for the reference 'Font'.
See Also:
  - `AbstractText.getFont()`
  - `getAbstractText()`

### getAbstractText_HorizontalAlignment

org.eclipse.emf.ecore.EAttribute getAbstractText_HorizontalAlignment()
Returns the meta object for the attribute '`Horizontal Alignment`'.

Returns:
  the meta object for the attribute 'Horizontal Alignment'.
See Also:
  - `AbstractText.getHorizontalAlignment()`
  - `getAbstractText()`

### getAbstractText_VerticalAlignment

org.eclipse.emf.ecore.EAttribute getAbstractText_VerticalAlignment()
Returns the meta object for the attribute '`Vertical Alignment`'.

Returns:
  the meta object for the attribute 'Vertical Alignment'.
See Also:
  - `AbstractText.getVerticalAlignment()`
  - `getAbstractText()`

### getAbstractText_Angle

org.eclipse.emf.ecore.EAttribute getAbstractText_Angle()
Returns the meta object for the attribute '`Angle`'.

Returns:
  the meta object for the attribute 'Angle'.
See Also:
  - `AbstractText.getAngle()`
  - `getAbstractText()`

### getAbstractText_Value

org.eclipse.emf.ecore.EAttribute getAbstractText_Value()
Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `AbstractText.getValue()`
  - `getAbstractText()`

### getAbstractText_StyleRegions

org.eclipse.emf.ecore.EReference getAbstractText_StyleRegions()
Returns the meta object for the containment reference list '`Style Regions`'.

Returns:
  the meta object for the containment reference list 'Style Regions'.
Since:
  0.10
See Also:
  - `AbstractText.getStyleRegions()`
  - `getAbstractText()`

### getAbstractText_Rotation

org.eclipse.emf.ecore.EAttribute getAbstractText_Rotation()
Returns the meta object for the attribute '`Rotation`'.

Returns:
  the meta object for the attribute 'Rotation'.
Since:
  0.11
See Also:
  - `AbstractText.getRotation()`
  - `getAbstractText()`

### getMultiText

org.eclipse.emf.ecore.EClass getMultiText()
Returns the meta object for class '`Multi Text`'.

Returns:
  the meta object for class 'Multi Text'.
See Also:
  - `MultiText`

### getAlgorithmsFactory

AlgorithmsFactory getAlgorithmsFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.